import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dbefrr {
    
    @observable
    recp_frrlst=[]           // \recp\frrlst 

    @observable
    recp_rolinr=""           // \recp\rolinr    角色inr 

    @observable
    recp_pntinr=""           // \recp\pntinr    父级菜单 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.recp_frrlst=[]
            this.recp_rolinr=""
            this.recp_pntinr=""
    }

} 


export default Dbefrr